package com.xmomen.module.stockdaily.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.stockdaily.entity.StockDaily;
import com.xmomen.module.stockdaily.entity.StockDailyExample;
import org.apache.ibatis.annotations.Param;

// 定义一个StockDailyMapper接口，继承MybatisMapper接口
public interface StockDailyMapper extends MybatisMapper {
    // 根据StockDailyExample统计StockDaily的数量
    int countByExample(StockDailyExample example);

    // 根据StockDailyExample删除StockDaily
    int deleteByExample(StockDailyExample example);

    // 插入StockDaily记录
    int insertSelective(StockDaily record);

    // 根据StockDailyExample更新StockDaily记录
    int updateByExampleSelective(@Param("record") StockDaily record, @Param("example") StockDailyExample example);
}